Bug 9526 - Patron statistics table is not pretty, the page needs the circ toolbar added
Summary: Patron statistics table is not pretty, the page needs the circ toolbar added
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-31 20:36 UTC by Liz Rea
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9526 - Patron statistics table is not pretty, needs circ toolbar (3.80 KB, patch)
2013-01-31 21:02 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9526 - Patron statistics table is not pretty, needs circ toolbar (3.92 KB, patch)
2013-01-31 21:48 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9526 - Patron statistics table is not pretty, needs circ toolbar (4.21 KB, patch)
2013-02-01 09:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2013-01-31 20:36:51 UTC
The patron statistics page in circulation does not follow the styling of the rest of the pages, and doesn't include the circ/member toolbar. It needs to come into line with the rest of the interface.
Comment 1 Owen Leonard 2013-01-31 21:02:41 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-01-31 21:48:58 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-01 09:51:22 UTC
Thanks Owen of your patch.

QA comment:

This patch improves the ergonomic of the statistics patron page according to the others patron pages.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-01 09:51:46 UTC
Created attachment 14995 [details] [review]
Bug 9526 - Patron statistics table is not pretty, needs circ toolbar

This patch adds the circ/members toolbar, corrects page title and
breadcrumbs, and adds some handling for column names which are coming
from the database. The table of statistics can display any items table
column specified in the StatisticsFields preference, but we can at least
embed the most obvious cases in the template for human readability: item
type, collection code, location, home library, and holding library.

To test, view the patron statistics page. For a patron with no
statistics you should see a message saying so. For a patron with
statistics you should see human-friendly labels for the columns
referenced above.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Works as described. No errors.
Wouldn't be better with centered cell contents?

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
FIX a typo:
- <h3>Statistcs for [% UNLESS ( I ) %][% title %] [% firstname %] [% END %] [% surname %] ([% cardnumber %])</h3>
+ <h3>Statistics for [% UNLESS ( I ) %][% title %] [% firstname %] [% END %] [% surname %] ([% cardnumber %])</h3>
Comment 5 Jared Camins-Esakov 2013-02-01 16:18:36 UTC
This patch has been pushed to master.